Bug 440694 - top - strange text after selecting few field
Summary: top - strange text after selecting few field
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: procps   
(Show other bugs)
Version: 4.6
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Daniel Novotny
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-04 14:47 UTC by Petr Sklenar
Modified: 2010-01-12 11:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 554701 556777 (view as bug list)
Environment:
Last Closed: 2009-05-18 20:04:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch (577 bytes, patch)
2008-04-08 06:59 UTC, Tomas Smetana
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0950 normal SHIPPED_LIVE procps bug fix update 2009-05-18 13:21:52 UTC

Description Petr Sklenar 2008-04-04 14:47:09 UTC
Description of problem:
top - when returning from selecting few fields (press "f" in top ), there is
strange additional text

Version-Release number of selected component (if applicable):
procps-3.2.3-8.11, all, same on fedora

How reproducible:
always

Steps to Reproduce:
1. run top
2. pres "f" for selecting field
3. select low amount of fields, for ex one or two
4. press enter for coming back
5. there is some confused text from previous window, its a rest of messages there.
6. if u restart top, its without this strange text when, before save it = "W"
  
Actual results:
strange text after sorting low amount of fields

Expected results:
low amount of field and no additional text

Additional info:

Comment 1 Tomas Smetana 2008-04-08 06:59:55 UTC
Created attachment 301608 [details]
The patch

Clearing the screen when leaving select/sort screens seems to solve the
problem.

Comment 2 RHEL Product and Program Management 2008-09-05 17:06:50 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 errata-xmlrpc 2009-05-18 20:04:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0950.html


Note You need to log in before you can comment on or make changes to this bug.